Package x2go :: Module mimeboxactions :: Class X2GoMIMEboxActionSAVEAS

[frames] | no frames]

# Class X2GoMIMEboxActionSAVEAS

source code

           object --+
                    |
    X2GoMIMEboxAction --+
                        |
                       X2GoMIMEboxActionSAVEAS

MIME box action that allows saving incoming MIME box files to a local folder. What this MIME box actually does is calling a hook method in the X2GoClient instance that can be hi-jacked by one of your application's methods which then can handle the ,,Save as...'' request.

Instance Methods

__init__(self, client_instance=None, logger=None, loglevel=56) This is a meta class and has no functionality as such. | source code

Inherited from `X2GoMIMEboxAction`: `do_process` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __name__ = ``'``SAVEAS``'``
| __decription__ = ``'``Save incoming file as...``'``
Inherited from `X2GoMIMEboxAction`: `__description__`

Properties
Inherited from `X2GoMIMEboxAction`: `description`, `name` Inherited from `object`: `__class__`

Method Details

### __init__(self, client_instance=None, logger=None, loglevel=56)
(Constructor)

source code

This is a meta class and has no functionality as such. It is used as parent class by »real« X2Go MIME box actions.

Parameters:
  - `client_instance` (`obj`) - an X2GoClient instance, within your customized X2GoClient make sure you have a `HOOK_open_mimebox_saveas_dialog(filename=<str>)` method defined that will actually handle the incoming mimebox file.
  - `logger` (`obj`) - you can pass an X2GoLogger object to the X2GoMIMEboxActionSAVEAS constructor
  - `loglevel` (`int`) - if no X2GoLogger object has been supplied a new one will be constructed with the given loglevel
Raises:
  - `X2GoMIMEboxActionException` - if the client_instance has not been passed to the SAVEAS MIME box action
Overrides: object.__init__